summaryrefslogtreecommitdiffstats
path: root/games/typhoon_2001
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-11 22:53:49 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:49 +0200
commit88a58a03bd884cb9ff23b8519861c0b3c41bee32 (patch)
tree924194f31bd5d2ba002718c36df79d824f046c24 /games/typhoon_2001
parent2e06e1bc1d05c47679300ce666d2070022d812e7 (diff)
downloadslackbuilds-88a58a03bd884cb9ff23b8519861c0b3c41bee32.tar.gz
slackbuilds-88a58a03bd884cb9ff23b8519861c0b3c41bee32.tar.xz
games/typhoon_2001: Added to 12.1 repository
Diffstat (limited to 'games/typhoon_2001')
-rw-r--r--games/typhoon_2001/README13
-rw-r--r--games/typhoon_2001/slack-desc19
-rw-r--r--games/typhoon_2001/typhoon_200150
-rw-r--r--games/typhoon_2001/typhoon_2001.SlackBuild54
-rw-r--r--games/typhoon_2001/typhoon_2001.info8
5 files changed, 144 insertions, 0 deletions
diff --git a/games/typhoon_2001/README b/games/typhoon_2001/README
new file mode 100644
index 0000000000..ffe5928951
--- /dev/null
+++ b/games/typhoon_2001/README
@@ -0,0 +1,13 @@
+Typhoon 2001 is a freeware game inspired by both the Atari Jaguar hit
+game Tempest 2000 and the arcade hit Tempest. It takes ideas and concepts
+from both games, but rearranges and changes them. A few new ideas have
+been implemented as well.
+
+To run the Linux version of Typhoon 2001, you will need hardware OpenGL
+video accleration support for your X server.
+
+This game is not open source: it's distributed binary-only. The SlackBuild
+simply installs the binary distribution files in the appropriate places,
+and adds a launcher script in /usr/bin, which adds support for per-user
+game settings. The directory $HOME/.typhoon_2001/ will be created the
+first time the game is run.
diff --git a/games/typhoon_2001/slack-desc b/games/typhoon_2001/slack-desc
new file mode 100644
index 0000000000..b72711300d
--- /dev/null
+++ b/games/typhoon_2001/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+typhoon_2001: Typhoon 2001 (a freeware game)
+typhoon_2001:
+typhoon_2001: Typhoon 2001 is a freeware game inspired by both the Atari Jaguar
+typhoon_2001: hit game Tempest 2000 and the arcade hit Tempest. It takes ideas
+typhoon_2001: and concepts from both games, but rearranges and changes them. A
+typhoon_2001: few new ideas have been implemented as well.
+typhoon_2001:
+typhoon_2001: To run the Linux version of Typhoon 2001, you will need hardware
+typhoon_2001: OpenGL video accleration support for your X server.
+typhoon_2001:
+typhoon_2001: Homepage: http://typhoon.kuto.de/
diff --git a/games/typhoon_2001/typhoon_2001 b/games/typhoon_2001/typhoon_2001
new file mode 100644
index 0000000000..2953ebdd88
--- /dev/null
+++ b/games/typhoon_2001/typhoon_2001
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+# 20080301 bkw:
+
+# Wrapper script for typhoon 2001. This binary-only game was originally
+# written for MS Windows, so it expects to find its data files in the
+# current directory, and to be able to write log and config files there.
+
+# To allow for system-wide installation, this script will create and
+# populate a per-user symlink forest in ~/.$PRGNAM, allowing each
+# user to have his own typhoon.cfg and typhoon.log files.
+
+T2K1_BIN=/usr/libexec/typhoon
+T2K1_SHARE=/usr/share/games/typhoon_2001
+T2K1_HOME=~/.typhoon_2001
+
+if [ ! -e $T2K1_BIN ]; then
+ echo "$T2K1_BIN does not exist, are you sure Typhoon 2001 is installed?"
+ exit 1
+fi
+
+if [ ! -d $T2K1_SHARE ]; then
+ echo "$T2K1_SHARE does not exist, are you sure Typhoon 2001 is installed?"
+ exit 1
+fi
+
+if [ ! -d "$T2K1_HOME" ]; then
+ echo "Installing user dir: $T2K1_HOME"
+ mkdir $T2K1_HOME || exit 1
+ cd $T2K1_HOME || exit 1
+ ln -s $T2K1_BIN ./typhoon
+ ln -s $T2K1_SHARE/*.* .
+
+ # if game/ or any game/dir is a symlink, choosing level-set from the
+ # gameplay menu doesn't work.
+ # Binary-only, so I can't just fix it, so they have to be real dirs...
+
+ mkdir game
+ for i in tempest 'tempest tubes' 'typhoon 2001'; do
+ mkdir "$T2K1_HOME/game/$i"
+ (
+ cd "$T2K1_HOME/game/$i"
+ ln -s "$T2K1_SHARE/game/$i/"* .
+ )
+ done
+fi
+
+cd "$T2K1_HOME" && exec ./typhoon || \
+ echo "Can't exec $T2K1_HOME/typhoon - " \
+ "corrupt install, try removing $T2K1_HOME and running $0 again"
diff --git a/games/typhoon_2001/typhoon_2001.SlackBuild b/games/typhoon_2001/typhoon_2001.SlackBuild
new file mode 100644
index 0000000000..8f970d5fef
--- /dev/null
+++ b/games/typhoon_2001/typhoon_2001.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# SlackBuild script for Typhoon 2001
+# Written by B. Watson (yalhcru@gmail.com)
+
+# This game is binary only and works like a DOS game (it expects to
+# be run from its own directory), so for system-wide installation it
+# needs a symlink forest in the user's home directory... except the
+# typhoon.cfg needs to be a real file and be writable by the user.
+# (it will be created the first time the game is run).
+PRGNAM=typhoon_2001
+VERSION=r3992
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -fr $TMP/$PRGNAM $PKG $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+
+# Grr. tarball doesn't contain a top-level dir, it pollutes the
+# current dir...
+mkdir $TMP/$PRGNAM || exit 1
+cd $TMP/$PRGNAM || exit 1
+tar xvf $CWD/${PRGNAM}_$VERSION.tar.gz || exit 1
+
+# Don't trust the ownership/permissions...
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+chmod 755 typhoon
+
+# OK, put everything where it goes in a proper Slack package...
+mkdir -p $PKG/usr/share/games/$PRGNAM \
+ $PKG/usr/libexec \
+ $PKG/usr/doc/$PRGNAM-$VERSION \
+ $PKG/install \
+ $PKG/usr/bin
+
+mv readme_linux.txt $PKG/usr/doc/$PRGNAM-$VERSION
+mv typhoon $PKG/usr/libexec
+mv * $PKG/usr/share/games/$PRGNAM
+
+cat $CWD/slack-desc >$PKG/install/slack-desc
+install -m 0755 $CWD/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+chmod 755 $PKG/usr/bin/$PRGNAM
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD.tgz
+
diff --git a/games/typhoon_2001/typhoon_2001.info b/games/typhoon_2001/typhoon_2001.info
new file mode 100644
index 0000000000..5a3036fd72
--- /dev/null
+++ b/games/typhoon_2001/typhoon_2001.info
@@ -0,0 +1,8 @@
+PRGNAM="typhoon_2001"
+VERSION="r3992"
+HOMEPAGE="http://typhoon.kuto.de/"
+DOWNLOAD="http://typhoon.kuto.de/files/typhoon_2001_r3992.tar.gz"
+MD5SUM="d83d89570a18ef121776442baef00647"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="David Somero,Erik Hanson"